%define name adplug
%define version 2.0.1
%define release %mkrel 2
%define major 2.0.1
%define libname %mklibname adplug %major

Summary: AdLib sound player library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%name/%{name}-%{version}.tar.bz2
Source1: http://prdownloads.sourceforge.net/adplug/adplug.db.bz2
URL: http://adplug.sourceforge.net/
License: LGPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libbinio-devel
BuildRequires: chrpath

%description
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

%package -n %libname
Group: System/Libraries
Summary: Shared library of the AdPlug audio emulator

%description -n %libname
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the shared library required to run applications
based on AdPlug.

%package -n %libname-devel
Group: Development/C++
Summary: Development files of AdPlug
Requires: %libname = %version
Provides: libadplug-devel = %version-%release
Requires: libbinio-devel

%description -n %libname-devel
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the C++ headers and documentation required for
building programs based on AdPlug.

%package -n %libname-static-devel
Group: Development/C++
Summary: Static library of AdPlug
Requires: %libname-devel = %version

%description -n %libname-static-devel
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the static library required for statically
linking applications based on AdPlug.

%prep
%setup -q
perl -pi -e "s!/usr/local/share/adplug!%_datadir/%name!" doc/adplugdb.1

%build
export CPPFLAGS="-I%_includedir/libbinio"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p %buildroot%_datadir/%name
bzcat %SOURCE1 > %buildroot%_datadir/%name/adplug.db
chrpath -d %buildroot%_bindir/adplugdb

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%post -n %libname-devel
%_install_info libadplug.info
%postun -n %libname-devel
%_remove_install_info libadplug.info

%files
%defattr(-,root,root)
%doc README
%_bindir/adplugdb
%_mandir/man1/adplugdb.1*
%dir %_datadir/%name/
%_datadir/%name/adplug.db

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS NEWS TODO COPYING
%_libdir/libadplug-%{major}.so.0*

%files -n %libname-devel
%defattr(-,root,root)
%_includedir/adplug/
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_infodir/libadplug.info*
%_libdir/pkgconfig/*.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%_libdir/*.a

%changelog
* Thu Aug 24 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-2mdv2007.0
- remove rpath

* Sun Jul 16 2006 Gtz Waschk <waschk@mandriva.org> 2.0.1-1mdv2007.0
- new major
- New release 2.0.1

* Tue Jun 27 2006 Lenny Cartier <lenny@mandriva.com> 2.0-2mdv2007.0
- rebuild

* Thu May  4 2006 Gtz Waschk <waschk@mandriva.org> 2.0-1mdk
- new major
- New release 2.0
- use mkrel

* Sun Sep 18 2005 Gtz Waschk <waschk@mandriva.org> 1.5.1-2mdk
- adapt for new libbinio header location

* Sat May 14 2005 Gtz Waschk <waschk@mandriva.org> 1.5.1-1mdk
- new major
- New release 1.5.1

* Fri Oct  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.5-1mdk
- new major 1.5
- New release 1.5

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-4mdk
- new g++
- drop prefix

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-3mdk
- fix directory ownership

* Fri Jun 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-2mdk
- fix path adplugdb man page
- add adplug.db 2003-03-18
- fix devel provides
- rebuild against new rpm

* Mon May  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- new libname
- new version

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4-2mdk
- fix distriblint warning

* Tue Mar 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4-1mdk
- move adplugdb to an extra package
- mklibname macro
- add missing files
- drop patches
- new major
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-3mdk
- rebuild

* Fri Nov 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- fix dependancy of static-devel package

* Tue Nov 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- initial package
